<?php defined('SYSPATH') or die('No direct script access.');

class Controller_DeanOffice_Credits extends Controller_Environment_DeanOffice
{
    public function before() {
        parent::before();

        // make it possible to download files
        Cookie::set('fD', 'true');
    }

    public function action_index() {
        $disciplines = Model_Faculty::with($this->user->FacultyID)->getDisciplines();

        $list = array();
        foreach ($disciplines as $dis) {
            if ($dis->Type == "credit")
                $list[] = $dis;
        }

        // todo: check, does ->execute()[0] && ->execute()['Num'] have same behaviour
        $milestone = Model_Discipline::getMilestone($this->user->FacultyID, $this->user->SemesterID)[0];

        $this->twig->set([
            'DisciplinesList'  => $list,
            'CurrentMilestone' => $milestone,
        ])->set_filename(static::DEAN . 'credits');
    }
}